Bug 1465250 - SELinux is preventing gsd-xsettings from 'setattr' accesses on the directory /usr/lib/fontconfig/cache.
SELinux is preventing gsd-xsettings from 'setattr' accesses on the directory ...
Status: NEW
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
26
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-26 23:41 EDT by Ryan Farmer
Modified: 2017-07-16 03:47 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Farmer 2017-06-26 23:41:17 EDT
Description of problem:

When I installed the google-roboto-fonts-2.136-2.fc26.noarch.rpm package from the heikoada / gtk-themes copr, SELinux Troubleshooter opened up with an alert that SELinux is preventing gsd-xsettings from 'setattr' accesses on the directory /usr/lib/fontconfig/cache.


Version-Release number of selected component (if applicable):

selinux-policy-3.13.1-259.fc26 

How reproducible:

This has been happening off and on, but I haven't been paying much attention to what triggers it. Installing the package I mentioned seemed to do it this time.
Comment 1 Ryan Farmer 2017-06-26 23:44:33 EDT
SELinux is preventing gsd-xsettings from 'setattr' accesses on the directory /usr/lib/fontconfig/cache.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that gsd-xsettings should be allowed setattr access on the cache directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'gsd-xsettings' --raw | audit2allow -M my-gsdxsettings
# semodule -X 300 -i my-gsdxsettings.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:lib_t:s0
Target Objects                /usr/lib/fontconfig/cache [ dir ]
Source                        gsd-xsettings
Source Path                   gsd-xsettings
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           fontconfig-2.12.1-4.fc26.i686
                              fontconfig-2.12.1-4.fc26.x86_64
Policy RPM                    selinux-policy-3.13.1-259.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.11.7-300.fc26.x86_64 #1 SMP Mon
                              Jun 26 14:54:05 UTC 2017 x86_64 x86_64
Alert Count                   12
First Seen                    2017-06-26 02:01:40 CDT
Last Seen                     2017-06-26 22:23:57 CDT
Local ID                      89a57f3d-48fc-41d7-9ab6-c162aeb36878

Raw Audit Messages
type=AVC msg=audit(1498533837.243:378): avc:  denied  { setattr } for  pid=1319 comm="gsd-housekeepin" name="cache" dev="dm-0" ino=1839351 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=dir permissive=0


Hash: gsd-xsettings,xdm_t,lib_t,dir,setattr
Comment 2 Jacobo Cabaleiro 2017-07-16 03:47:25 EDT
Experiencing identical error in my F26:

SELinux is preventing gsd-xsettings from setattr access on the directory /usr/lib/fontconfig/cache.

*****  Plugin catchall (100. confidence) suggests   **************************

If sie denken, dass es gsd-xsettings standardmäßig erlaubt sein sollte, setattr Zugriff auf cache directory zu erhalten.
Then sie sollten dies als Fehler melden.
Um diesen Zugriff zu erlauben, können Sie ein lokales Richtlinien-Modul erstellen.
Do
allow this access for now by executing:
# ausearch -c 'gsd-xsettings' --raw | audit2allow -M my-gsdxsettings
# semodule -X 300 -i my-gsdxsettings.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:lib_t:s0
Target Objects                /usr/lib/fontconfig/cache [ dir ]
Source                        gsd-xsettings
Source Path                   gsd-xsettings
Port                          <Unbekannt>
Host                          madrid.waterbeach.solosade.com
Source RPM Packages           
Target RPM Packages           fontconfig-2.12.1-4.fc26.x86_64
                              fontconfig-2.12.1-4.fc26.i686
Policy RPM                    selinux-policy-3.13.1-259.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     madrid.waterbeach.solosade.com
Platform                      Linux madrid.waterbeach.solosade.com
                              4.11.8-300.fc26.x86_64 #1 SMP Thu Jun 29 20:09:48
                              UTC 2017 x86_64 x86_64
Alert Count                   11
First Seen                    2017-07-05 23:39:49 CEST
Last Seen                     2017-07-16 09:39:17 CEST
Local ID                      e40d1a85-afa0-4899-b207-4eba29cdac57

Raw Audit Messages
type=AVC msg=audit(1500190757.457:261): avc:  denied  { setattr } for  pid=1684 comm="gsd-xsettings" name="cache" dev="dm-0" ino=1835369 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=dir permissive=0


Hash: gsd-xsettings,xdm_t,lib_t,dir,setattr

Note You need to log in before you can comment on or make changes to this bug.